GameConfig = class("GameConfig",function()
    local gc = {};
    gc.resVersion = nil;
    gc.sdkId = 0;
    gc.isShenhe = false;--是否审核版本
    gc.checkVerUrl = "https://dmbt7sgzm.geiniwan.com/check_ver.php?sh_ver=%s&sdkid=%s&type=%s";
    -- gc.checkVerUrl = "http://192.168.10.167:9995/check_ver.php?sh_ver=%s&sdkid=%s&type=%s";
    gc.configUrl = "";--登录后台域名
    gc.delList = nil;--删除配置
    gc.urlList = nil;--cdn路径配置
    gc.versionList = nil;--更新版本文件

    -- gc.verUrl = "http://192.168.10.10:5001/";
    gc.verUrl = "https://bt7loginsgzm.geiniwan.com/urlConfig/";
    gc.downUrls = nil;--更新内容下载地址
    gc.isDownload = true;--是否使用资源包
    gc.showFPS = false;--是否显示帧频
    gc.agentId = 0;--代理ID
    gc.bigVersion = nil;--大包版本
    gc.shenHeBigVersion = nil;--审核包版本
    gc.plusList = nil;--增量包
    gc.dvVersion = 0;--mini包dv版本号
    gc.downloadUrl = "http://sgzmcdn.geiniwan.com/bt7/test/mini/";--资源包下载地址
    -- gc.downloadUrl = "http://192.168.10.10:5001/pc/mini/";--资源包下载地址
    gc.errorUrl = "https://bt7loginsgzm.geiniwan.com/api/client_error_api.php";--报错信息上报地址
    -- gc.errorUrl = "http://192.168.10.167:9991/api/client_error_api.php";--报错信息上报地址
    gc.canRestart = true;--旧包无法重启
    gc.canUseDragonBone = false;--旧包无法用龙骨动画
    return gc;
end)

function GameConfig:ctor()
	if self.resVersion == nil then
		self.resVersion = 1;
	end
end

function GameConfig:setAgentId(agentId)
    self.agentId = agentId;
end

function GameConfig:getCheckVerUrl()
    local t;
    if self:isIOS() == true then
        t = 1;
    else
        t = 2;
    end
    return string.format(self.checkVerUrl, self.bigVersion, self.sdkId, t);
end

function GameConfig:getVerUrl(fileName)
	return self.verUrl .. fileName;
end

function GameConfig:needUpdate()
    if self:isAndroid() == false and self:isIOS() == false then return false; end
    if self.isShenhe == true then return false; end
	return self.sdkId > 0;
end

function GameConfig:needAdditionUpdate()
    return false;
end

function GameConfig:isNoSdkOrTestSdk()
	return self.sdkId == 0 or self.sdkId == 99999999 or self.sdkId == 88888888;
end

function GameConfig:isTestServer()
    return self.sdkId == 0 or self.sdkId == 99999999;
end

-- function GameConfig:isShenhe()
--     if self.shenHeBigVersion == nil then return false; end
--     for i=1, #self.shenHeBigVersion do
--         if self.shenHeBigVersion[i] == self.bigVersion then
--             return true;
--         end
--     end
--     return false;
-- end

function GameConfig:isAndroid()
	return UnityEngine.Application.platform == UnityEngine.RuntimePlatform.Android;
end

function GameConfig:isIOS()
	return UnityEngine.Application.platform == UnityEngine.RuntimePlatform.IPhonePlayer;
end